package com.bytesw.bytebot.service;

import com.bytesw.bytebot.http.FileValidationResponse;
import lombok.extern.log4j.Log4j2;
import org.apache.http.client.methods.CloseableHttpResponse;
import org.apache.http.client.methods.HttpPost;
import org.apache.http.entity.StringEntity;
import org.apache.http.impl.client.CloseableHttpClient;
import org.apache.http.impl.client.HttpClients;
import org.springframework.beans.factory.annotation.Value;
import org.springframework.stereotype.Service;

import java.io.IOException;

@Service
@Log4j2
public class KnowledgeService {

    @Value("${application.bucket.tenant}")
    private String tenant;

    @Value("${application.knowledge.url}")
    private String url;

    public void generate(FileValidationResponse response) throws IOException {
        CloseableHttpClient httpclient = HttpClients.createDefault();
        HttpPost httppost = new HttpPost(String.format("%s/clients/%s/versions/1.0", url, tenant));
        String json = String.format("{\"filename_csv\": \"%s\", \"index_name\": \"%s\"}",response.getFileName(), response.getUuid());
        StringEntity entity = new StringEntity(json);
        httppost.setEntity(entity);
        httppost.setHeader("Accept", "application/json");
        httppost.setHeader("Content-type", "application/json");
        CloseableHttpResponse res = httpclient.execute(httppost);
        httpclient.close();
    }

    public void delete() {
        HttpPost httpPost = new HttpPost();
    }

}
